---
title: "Historical contract: Orders status (GET /reports/drivers_orders_status)"
description: "Historical Ordering.co API contract for GET /reports/drivers_orders_status, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/orders-status-1/
---

# Historical contract: Orders status

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Orders status

This API endpoint is used to bring a report with the number of orders by state

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/reports/GET/reports/drivers_orders_status)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "lapse",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "drivers",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "timezone",
    "in": "query",
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": [\n    {\n      \"orders\": 99,\n      \"status\": 0\n    },\n    {\n      \"orders\": 34,\n      \"status\": 7\n    },\n    {\n      \"orders\": 16,\n      \"status\": 11\n    },\n    {\n      \"orders\": 5,\n      \"status\": 8\n    },\n    {\n      \"orders\": 5,\n      \"status\": 1\n    },\n    {\n      \"orders\": 3,\n      \"status\": 2\n    },\n    {\n      \"orders\": 1,\n      \"status\": 12\n    },\n    {\n      \"orders\": 1,\n      \"status\": 5\n    },\n    {\n      \"orders\": 1,\n      \"status\": 6\n    }\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "orders": {
                    "type": "integer",
                    "example": 99,
                    "default": 0
                  },
                  "status": {
                    "type": "integer",
                    "example": 0,
                    "default": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
